import userPic from './images/user.svg';
import assistantPic from './images/assistant.jpg';

export const enum RoleEnum {
	user = 'user',
	assistant = 'assistant',
	system = 'system',
}

export interface ChatMessage {
	role: RoleEnum;
	content: string;
}

export const roleImageMap = {
	[RoleEnum.user]: userPic,
	[RoleEnum.assistant]: assistantPic,
	[RoleEnum.system]: userPic,
};
